<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Wed Sep 10 14:57:28 CEST 2014 -->
<title>WrappedByteChannel</title>
<meta name="date" content="2014-09-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="WrappedByteChannel";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WrappedByteChannel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/WrappedByteChannel.html" target="_top">Frames</a></li>
<li><a href="WrappedByteChannel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket</div>
<h2 title="Interface WrappedByteChannel" class="title">Interface WrappedByteChannel</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>java.lang.AutoCloseable, java.nio.channels.ByteChannel, java.nio.channels.Channel, java.io.Closeable, java.nio.channels.ReadableByteChannel, java.nio.channels.WritableByteChannel</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../org/java_websocket/client/AbstractClientProxyChannel.html" title="class in org.java_websocket.client">AbstractClientProxyChannel</a>, <a href="../../org/java_websocket/AbstractWrappedByteChannel.html" title="class in org.java_websocket">AbstractWrappedByteChannel</a>, <a href="../../org/java_websocket/SSLSocketChannel2.html" title="class in org.java_websocket">SSLSocketChannel2</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">WrappedByteChannel</span>
extends java.nio.channels.ByteChannel</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WrappedByteChannel.html#isBlocking()">isBlocking</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WrappedByteChannel.html#isNeedRead()">isNeedRead</a></strong>()</code>
<div class="block">returns whether readMore should be called to fetch data which has been decoded but not yet been returned.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WrappedByteChannel.html#isNeedWrite()">isNeedWrite</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WrappedByteChannel.html#readMore(java.nio.ByteBuffer)">readMore</a></strong>(java.nio.ByteBuffer&nbsp;dst)</code>
<div class="block">This function does not read data from the underlying channel at all.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WrappedByteChannel.html#writeMore()">writeMore</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.nio.channels.ReadableByteChannel">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.nio.channels.ReadableByteChannel</h3>
<code>read</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.nio.channels.WritableByteChannel">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.nio.channels.WritableByteChannel</h3>
<code>write</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.nio.channels.Channel">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.nio.channels.Channel</h3>
<code>close, isOpen</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isNeedWrite()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNeedWrite</h4>
<pre>boolean&nbsp;isNeedWrite()</pre>
</li>
</ul>
<a name="writeMore()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeMore</h4>
<pre>void&nbsp;writeMore()
               throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="isNeedRead()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNeedRead</h4>
<pre>boolean&nbsp;isNeedRead()</pre>
<div class="block">returns whether readMore should be called to fetch data which has been decoded but not yet been returned.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><code>ReadableByteChannel.read(ByteBuffer)</code>, 
<a href="../../org/java_websocket/WrappedByteChannel.html#readMore(java.nio.ByteBuffer)"><code>readMore(ByteBuffer)</code></a></dd></dl>
</li>
</ul>
<a name="readMore(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readMore</h4>
<pre>int&nbsp;readMore(java.nio.ByteBuffer&nbsp;dst)
             throws javax.net.ssl.SSLException</pre>
<div class="block">This function does not read data from the underlying channel at all. It is just a way to fetch data which has already be received or decoded but was but was not yet returned to the user.
 This could be the case when the decoded data did not fit into the buffer the user passed to <code>ReadableByteChannel.read(ByteBuffer)</code>.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>javax.net.ssl.SSLException</code></dd></dl>
</li>
</ul>
<a name="isBlocking()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isBlocking</h4>
<pre>boolean&nbsp;isBlocking()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WrappedByteChannel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/WrappedByteChannel.html" target="_top">Frames</a></li>
<li><a href="WrappedByteChannel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
